# Fashion

## Fashion

{% file src="/files/pE02IR9rtsD0DSAiioLE" %}

{% hint style="info" %}
Vertical Specifics: `Size` can be an affinity attribute. In this case, for proper user profile collection, it's important that sizes are unified across the site/app.
{% endhint %}

<table data-full-width="true"><thead><tr><th width="158">Field</th><th width="336">Description</th><th width="182">Format</th><th>Example</th><th>Usage</th></tr></thead><tbody><tr><td>sku</td><td>Unique identifier of a product</td><td>String (up to 256 characters)</td><td>123456</td><td></td></tr><tr><td>group_id</td><td>Product Group Identifier — variants of a single product distinguished by certain attributes</td><td>String (up to 256 characters)</td><td>123456</td><td></td></tr><tr><td>name</td><td>Product name (as shown in the widget)</td><td>String (up to 1000 characters)</td><td>Long Red Dress from Gucci</td><td></td></tr><tr><td>url</td><td>Link to the product</td><td>String (up to 1000 characters)</td><td>https://www.fashion.com/product/5405787-long-red-dress/</td><td></td></tr><tr><td>price</td><td>Price</td><td>Float</td><td>183.00</td><td></td></tr><tr><td>in_stock</td><td>Stock availability</td><td>Boolean</td><td>TRUE / FALSE</td><td></td></tr><tr><td>image_url</td><td>Product image link</td><td>String (up to 1000 characters)</td><td>https://st.fashion.com/magento/i/99/99/98/2/01_434.jpg?u=1558733174</td><td></td></tr><tr><td>categories</td><td>Categories the product belongs to, from the broadest to the most specific</td><td>String (separator "|" with no extra spaces, up to 1000 characters)</td><td>Clothes|Women|Dressses</td><td></td></tr><tr><td>keywords</td><td>Additional product information separated by "|". Filling in this property is necessary for calculating product similarity (only for the Similarity strategy). Keywords should be specified from general to specific. When checking for matches, the system removes the last word if the entire set does not match. For example, if the keyword set is "Outerwear|Women|Coat|Black" - if there are no products with the exact same set of keywords, the system will search for products with keywords "Outerwear|Women|Coat" and so on until only the first keyword remains.</td><td>String (up to 1000 characters)</td><td>Gucci|red|sale|for pregnant|adult|SS</td><td></td></tr><tr><td>old_price</td><td>Price before discount</td><td>String (up to 1000 characters)</td><td>203.18</td><td></td></tr><tr><td>review_count</td><td>Amount of reviews for product</td><td>String (up to 1000 characters)</td><td>99</td><td></td></tr><tr><td>rating</td><td>Product star rating</td><td>String (up to 1000 characters)</td><td>4.8</td><td></td></tr><tr><td>is_sale</td><td>Attribute indicating that the product is discounted</td><td>String (up to 1000 characters)</td><td>TRUE</td><td>Affinity</td></tr><tr><td>sale_badge_url</td><td>Sale badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/sale_badge.jpg</td><td></td></tr><tr><td>is_bestseller</td><td>Attribute indicating that the product is a bestseller</td><td>String (up to 1000 characters)</td><td>TRUE</td><td>Affinity</td></tr><tr><td>bestseller_badge_url</td><td>Bestseller badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/bestseller_badge.jpg</td><td></td></tr><tr><td>is_new</td><td>Attribute indicating that the product is new</td><td>String (up to 1000 characters)</td><td>TRUE</td><td>Affinity</td></tr><tr><td>new_badge_url</td><td>New badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/new_badge.jpg</td><td></td></tr><tr><td>in_stock_status</td><td>Relative product stock availability</td><td>String (up to 1000 characters)</td><td>low</td><td></td></tr><tr><td>margin_group</td><td>Relative product margin</td><td>String (up to 1000 characters)</td><td>3</td><td></td></tr><tr><td>product_accessory</td><td>Attribute indicating if the product is usually purchased as a transaction driver, as an accessory to the transaction driver or is a service</td><td>String (up to 1000 characters)</td><td>product</td><td></td></tr><tr><td>brand</td><td>Brand</td><td>String (up to 1000 characters)</td><td>Van Laack</td><td>Keywords+Affinity</td></tr><tr><td>color</td><td>Color</td><td>String (up to 1000 characters)</td><td>Red</td><td>Keywords+Affinity</td></tr><tr><td>gender</td><td>Gender</td><td>String (up to 1000 characters)</td><td>Women</td><td>Keywords+Affinity</td></tr><tr><td>age_group</td><td>Age group</td><td>String (up to 1000 characters)</td><td>Adults</td><td>Keywords+Affinity</td></tr><tr><td>size</td><td>Size</td><td>String (up to 1000 characters)</td><td>46L</td><td>Keywords+Affinity</td></tr><tr><td>special_features</td><td>Special Features</td><td>String (up to 1000 characters)</td><td>for pregnant</td><td>Keywords+Affinity</td></tr><tr><td>season</td><td>Season</td><td>String (up to 1000 characters)</td><td>Spring-Summer-23</td><td>Keywords+Affinity</td></tr></tbody></table>

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gravityfield.ai/lang/en/implementation/client-side-integration/4.-product-feed/fashion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
